<bugID>1013992<Summary>Show Original language is changed after translating once and retranslating into another</Summary><Description>Reproducible using trybuild from bug 971054 comment 50

Steps to reproduce:
1. Start Firefox
2. Navigate to https://www.google.fr/
3. Select Translate
4. Change the language to translate to into Chinese
5. Select Show Original
6. Select Translation
7. Select Show Original again

Expected results: Show Original translates the page into the original language (French)

Actual results: Show Original leaves the page translated to English and it becomes the original language

Notes:
1. This issue reproduces on all OS`s.
2. Screencast showing the issue: https://db.tt/tqPlDfCw
3. I dont`t know if this will be also fixed by bug 1012519 so I logged new issue.</Description></bugID>